## nordugrid-arc-nox 1.1.0~rc6

=== debian/changelog ===
nordugrid-arc-nox (1.1.0~rc6-2.1ubuntu2) natty; urgency=low

  * debian/rules: clean out dependency_libs from la-file (Policy 10.2)

 -- Andreas Moog <amoog@ubuntu.com>  Thu, 07 Apr 2011 21:06:13 +0200

nordugrid-arc-nox (1.1.0~rc6-2.1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change:
    - Fix build failures with ld --no-add-needed. (Closes: #607126)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 21 Dec 2010 09:34:47 +0530

nordugrid-arc-nox (1.1.0~rc6-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2010-3372: Fix insecure library loading. Patch
    cherry-picked from upstream (closes: #606151)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 18 Dec 2010 13:36:49 +0000

nordugrid-arc-nox (1.1.0~rc6-2ubuntu1) natty; urgency=low

  * Fix build failures with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Dec 2010 20:29:21 +0100

nordugrid-arc-nox (1.1.0~rc6-2build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:06:39 +0000

nordugrid-arc-nox (1.1.0~rc6-2) unstable; urgency=low

  * Fix for glibmm 2.24 (Closes: #577884)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 26 Apr 2010 15:26:26 +0200

nordugrid-arc-nox (1.1.0~rc6-1) unstable; urgency=low

  * New upstream release. (Closes: #566103, #573383)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 11 Mar 2010 00:53:17 +0100

nordugrid-arc-nox (1.1.0~rc4-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Thu, 25 Feb 2010 17:32:29 +0100

nordugrid-arc-nox (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #560255).

 -- Anders Waananen <waananen@nbi.dk>  Sun, 29 Nov 2009 23:46:25 +0100
