=== debian/control ===
Source: nordugrid-arc-nox
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anders Waananen <waananen@nbi.dk>
Uploaders: Steffen Moeller <moeller@debian.org>, Mattias Ellert <mattias.ellert@fysast.uu.se>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), autotools-dev, libxml2-dev (>=2.4.0), libssl-dev, libglibmm-2.4-dev, python-dev, libltdl-dev | libltdl7-dev | libltdl3-dev, libldap2-dev, uuid-dev, libcppunit-dev, pkg-config, libdb4.8++-dev | libdb4.7++-dev | libdb4.6++-dev | libdb4.5++-dev | libdb4.4++-dev | libdb4.3++-dev | libdb4.2++-dev | libdb++-dev, libxmlsec1-dev (>=1.2.4), gsoap, libglobus-common-dev, libglobus-gssapi-gsi-dev, libglobus-rls-client-dev, libglobus-ftp-client-dev, libglobus-ftp-control-dev, python-support, default-jdk-builddep | java-gcj-compat-dev
Build-Depends-Indep: graphviz, doxygen
XS-Python-Version: current
Standards-Version: 3.8.4
Vcs-Browser: http://svn.nordugrid.org/trac/nordugrid/browser/arc1
Vcs-Svn: http://svn.nordugrid.org/repos/nordugrid/arc1/trunk
Homepage: http://www.nordugrid.org

Package: nordugrid-arc-nox
Provides: nordugrid-arc1
Replaces: nordugrid-arc1 (<< 1.0.0~)
Conflicts: nordugrid-arc1 (<< 1.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC grid middleware
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The Advanced Resource Connector (ARC) brings computing resources
 together across institutional boundaries. This concept is commonly
 referred to as a "computational grid". Historically, grids address the
 organisation of distributed storage of data and parallel computation,
 but arbitrary services are thinkable.
 .
 Just like the web, ARC has its roots in the IT infrastructure that was
 erected to analyse the experiments for high energy physics at CERN. The
 first release, ARC-0.x, was dependent on Globus, the current release
 keeps that compatibility but can also be used independently.
 .
 With ARC-nox, formerly known as ARC-1, the user gains flexibility
 with additional services and more supported platforms. The service
 developer notices that even for persistent functionality across the
 two major versions, what has been a script on the server side once,
 that was repeatedly started and ran through, this has now become a
 service. Those are only started once and can then be queried, which
 is far more efficient, far more responsive, and is no longer stateless
 but can observe changes of values over time.

Package: nordugrid-arc-nox-client
Provides: nordugrid-arc1-client
Replaces: nordugrid-arc1-client (<< 1.0.0~)
Conflicts: nordugrid-arc1-client (<< 1.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, nordugrid-arc-nox-plugins-base
Description: ARC prototype clients
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 For the regular user of any ARC-based computational grid,
 this client package contains (or depends on) all packages
 that are needed to submit jobs, query their status and
 retrieve results.

Package: nordugrid-arc-nox-hed
Provides: nordugrid-arc1-server
Replaces: nordugrid-arc1-server (<< 1.0.0~)
Conflicts: nordugrid-arc1-server (<< 1.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nordugrid-arc-nox-python
Description: ARC Hosting Environment Daemon
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The ARC Hosting Environment Daemon (HED). This daemon presents a site
 to other participants on the grid. An intrinsic component of any grid
 system is a mechanism allowing for the secure stateful communication with
 remote environments. HED prepares for such an environment and as such
 is the core of the ARC middleware. HED was however written in a way,
 that represents typical grid computing tasks (the sharing of CPU time
 or storage) to become just one possible service between a user and a
 remote machine. Many others are thinkable, and HED takes considerable
 effort away from the respective implementors.

Package: nordugrid-arc-nox-charon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-nox-hed
Description: ARC Charon service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 Charon is a remote policy decision point service. It accepts formatted
 policy decision request and return positive or negative response. When
 running a Charon (within the HED), the TLS layer can be used for
 securing the communication, when the request or response  information
 are critical.

Package: nordugrid-arc-nox-hopi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-nox-hed
Description: ARC Hopi service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The Hopi service provides a simple implementation of an http(s)
 server. It supports GET and PUT operations. It can be used as a simple
 file transfer service and it is usable via common web browsers and
 other http(s) clients (e.g. wget).

Package: nordugrid-arc-nox-isis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-nox-hed
Description: ARC Isis service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 Isis is the new ARC information system implemented within HED. Isis
 comes with P2P capabilities and a web-services interface. The new system
 grants grid participants an increase in flexibility, robustness and it
 also offers easier configuration and self-healing capability.

Package: nordugrid-arc-nox-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-nox-hed
Description: ARC compiler service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The purpose of this service is to provide compilation capability on the
 remote site utilizing its full CPU capacity for parallel compilation
 tasks. The service presumes that the compilation task is described in a
 usual make file. The current implementation supports GNU compilers only.

Package: nordugrid-arc-nox-delegation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-nox-hed
Description: ARC delegation service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The description of the delegation services is still pending.

Package: nordugrid-arc-nox-paul
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-nox-hed
Description: ARC paul service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The Paul is a pull-based execution service for computing resources. In
 these case the computing resource can be single SMP computer. The Paul
 uses the iBES protocol to communicate with Scheduler services or any
 other service which implements iBES. The Paul can interact with multiple
 Scheduler and can controll multiple job in one time. Paul can be used
 to run on desktops (MS Windows as well) to form a 'desktop' grid.

Package: nordugrid-arc-nox-saml2sp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-nox-hed
Description: ARC saml2sp service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 Service Provider is a utility service which is supposed to work together
 with external Identity Provider and user agent (client) to accomplish
 the "SAML2.0 Web SSO Profile" which requires client to provider
 "username/password" instead of X.509 certificate for authentication.

Package: nordugrid-arc-nox-slcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-nox-hed
Description: ARC slcs service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 ARC Short-lived credential service.

Package: nordugrid-arc-nox-arex
Provides: nordugrid-arc1-arex
Replaces: nordugrid-arc1-arex (<< 1.0.0~)
Conflicts: nordugrid-arc1-arex (<< 1.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, nordugrid-arc-nox-hed, nordugrid-arc-nox-plugins-base, libxml-simple-perl
Description: ARC Remote EXecution service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The ARC Remote EXecution service (AREX) represents those parts of the
 middleware that is responsible for the execution of compute jobs and
 the transfer of input or output data.

Package: nordugrid-arc-nox-plugins-base
Provides: nordugrid-arc1-plugins-base
Replaces: nordugrid-arc1-plugins-base (<< 1.0.0~)
Conflicts: nordugrid-arc1-plugins-base (<< 1.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC base plugins
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced
 Resource Connector (ARC).
 .
 ARC base plugins. This includes the Message Chain Components (MCCs)
 and Data Manager Components (DMCs).

Package: nordugrid-arc-nox-plugins-globus
Provides: nordugrid-arc1-plugins-globus
Replaces: nordugrid-arc1-plugins-globus (<< 1.0.0~)
Conflicts: nordugrid-arc1-plugins-globus (<< 1.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC Globus plugins
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced
 Resource Connector (ARC).
 .
 ARC Globus plugins. This includes the Globus dependent Data Manager
 Components (DMCs).

Package: nordugrid-arc-nox-dev
Provides: nordugrid-arc1-dev
Replaces: nordugrid-arc1-dev (<< 1.0.0~)
Conflicts: nordugrid-arc1-dev (<< 1.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxml2-dev (>=2.4.0), libssl-dev, libglibmm-2.4-dev
Description: ARC development files
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced
 Resource Connector (ARC).
 .
 The ARC middleware's core functionality, the Hosting Environment
 Daemon (HED) can be extended for novel services. Considerable parts
 of a regular installation of a regular installation of the NorduGrid
 represent such modules.

Package: nordugrid-arc-nox-python
Provides: nordugrid-arc1-python
Replaces: nordugrid-arc1-python (<< 1.0.0~)
Conflicts: nordugrid-arc1-python (<< 1.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-fuse
XB-Python-Version: ${python:Versions}
Description: ARC Python wrapper
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced
 Resource Connector (ARC).
 .
 Developers with an interest to integrate the some functionality on a
 remote site via an interface compatible with ARC, may find it preferable
 to perform that remote invocation from within Python. While today most
